Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641340 - net-print/cups-filters-1.17.9 stable request
Summary: net-print/cups-filters-1.17.9 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: CVE-2017-11624, CVE-2017-11625, CVE-2017-11626, CVE-2017-11627, CVE-2017-9208, CVE-2017-9209, CVE-2017-9210
Blocks: 629708 poppler-qt4-removal CVE-2017-14975, CVE-2017-14976, CVE-2017-14977 644456
  Show dependency tree
 
Reported: 2017-12-16 12:41 UTC by Pacho Ramos
Modified: 2018-03-18 15:45 UTC (History)
5 users (show)

See Also:
Package list:
net-print/cups-filters-1.17.9
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2017-12-16 12:41:24 UTC
Thanks
Comment 1 Andreas Sturmlechner gentoo-dev 2018-01-06 18:33:08 UTC
Required for >=poppler-0.58 compatibility.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-01-16 13:43:39 UTC
ping
Comment 3 Stabilization helper bot gentoo-dev 2018-01-16 17:00:43 UTC
An automated check of this bug failed - repoman reported dependency errors (117 lines truncated): 

> dependency.bad net-print/cups-filters/cups-filters-1.17.9.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=app-text/qpdf-7.0_beta1']
> dependency.bad net-print/cups-filters/cups-filters-1.17.9.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=app-text/qpdf-7.0_beta1']
> dependency.bad net-print/cups-filters/cups-filters-1.17.9.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=app-text/qpdf-7.0_beta1']
Comment 4 Stabilization helper bot gentoo-dev 2018-01-17 00:24:20 UTC
An automated check of this bug failed - repoman reported dependency errors (117 lines truncated): 

> dependency.bad net-print/cups-filters/cups-filters-1.17.9.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=app-text/qpdf-7.0_beta1']
> dependency.bad net-print/cups-filters/cups-filters-1.17.9.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=app-text/qpdf-7.0_beta1']
> dependency.bad net-print/cups-filters/cups-filters-1.17.9.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=app-text/qpdf-7.0_beta1']
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-01-18 14:44:29 UTC
amd64 stable
Comment 6 Mark Knecht 2018-01-19 18:20:26 UTC
Problems updating a (mostly) stable machine. Let me know what other info (if any) is required. I do not see libqpdf or libjpeg in portage at this time. I do see libjpeg-turbo


checking for LCMS... yes
checking for FREETYPE... yes
checking for FONTCONFIG... yes
checking for IJS... yes
checking for ZLIB... yes
checking for LIBQPDF... no
configure: error: Package requirements (libqpdf >= 3.0.2) were not met:

Package 'libjpeg', required by 'libqpdf', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBQPDF_CFLAGS
and LIBQPDF_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/net-print/cups-filters-1.17.9/work/cups-filters-1.17.9/config.log
 * ERROR: net-print/cups-filters-1.17.9::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_configure
 *             environment, line 2901:  Called econf '--docdir=/usr/share/doc/cups-filters-1.17.9' '--enable-imagefilters' '--localstatedir=/var' '--with-browseremoteprotocols=DNSSD,CUPS' '--with-cups-rundir=/run/cups' '--with-fontdir=fonts/conf.avail' '--with-pdftops=pdftops' '--with-rcdir=no' '--without-php' '--enable-dbus' '--enable-foomatic' '--disable-auto-setup-driverless' '--enable-ldap' '--disable-pclm' '--enable-mutool' '--enable-ghostscript' '--enable-ijs' '--disable-static' '--disable-avahi' '--with-jpeg' '--with-png' '--with-tiff'
 *        phase-helpers.sh, line  666:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
 * 
 * If you need support, post the output of `emerge --info '=net-print/cups-filters-1.17.9::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-print/cups-filters-1.17.9::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-print/cups-filters-1.17.9/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-print/cups-filters-1.17.9/temp/environment'.
 * Working directory: '/var/tmp/portage/net-print/cups-filters-1.17.9/work/cups-filters-1.17.9'
 * S: '/var/tmp/portage/net-print/cups-filters-1.17.9/work/cups-filters-1.17.9'

 * Messages for package net-print/cups-filters-1.17.9:

 * ERROR: net-print/cups-filters-1.17.9::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_configure
 *             environment, line 2901:  Called econf '--docdir=/usr/share/doc/cups-filters-1.17.9' '--enable-imagefilters' '--localstatedir=/var' '--with-browseremoteprotocols=DNSSD,CUPS' '--with-cups-rundir=/run/cups' '--with-fontdir=fonts/conf.avail' '--with-pdftops=pdftops' '--with-rcdir=no' '--without-php' '--enable-dbus' '--enable-foomatic' '--disable-auto-setup-driverless' '--enable-ldap' '--disable-pclm' '--enable-mutool' '--enable-ghostscript' '--enable-ijs' '--disable-static' '--disable-avahi' '--with-jpeg' '--with-png' '--with-tiff'
 *        phase-helpers.sh, line  666:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
 * 
 * If you need support, post the output of `emerge --info '=net-print/cups-filters-1.17.9::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-print/cups-filters-1.17.9::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-print/cups-filters-1.17.9/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-print/cups-filters-1.17.9/temp/environment'.
 * Working directory: '/var/tmp/portage/net-print/cups-filters-1.17.9/work/cups-filters-1.17.9'
 * S: '/var/tmp/portage/net-print/cups-filters-1.17.9/work/cups-filters-1.17.9'
c2RAID6 ~ # 


c2RAID6 ~ # eix -I libqpdf
No matches found
c2RAID6 ~ #


c2RAID6 ~ # eix libjpeg
* media-libs/libjpeg-turbo
     Available versions:  1.5.0 1.5.1 ~1.5.2 ~1.5.3 {java static-libs ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32" ELIBC="FreeBSD"}
     Homepage:            https://libjpeg-turbo.org/ https://sourceforge.net/projects/libjpeg-turbo/
     Description:         MMX, SSE, and SSE2 SIMD accelerated JPEG library

c2RAID6 ~ #


c2RAID6 ~ # emerge --info
Portage 2.3.19 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop/plasma, gcc-6.4.0, glibc-2.25-r9, 4.14.14-gentoo x86_64)
=================================================================
System uname: Linux-4.14.14-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_X_980_@_3.33GHz-with-gentoo-2.4.1
KiB Mem:    24677684 total,   9533540 free
KiB Swap:   12582904 total,  12582904 free
Timestamp of repository gentoo: Fri, 19 Jan 2018 17:30:01 +0000
Head commit of repository gentoo: 64d170147a548d974b857e27793e9cd296dd88dc
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 PUEL google-chrome Google-TOS"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --jobs=5"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ "
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j13 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb branding bzip2 cairo cdda cdr cleartype cli consolekit corefonts crypt cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv java jpeg jpeg2k kde kipi kwallet lcms ldap libnotify mad mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds qml qt3support qt5 readline sdl seccomp spell ssl ssse3 startup-notification svg tcpd threads tiff truetype type1 udev udisks unicode upower usb vdpau vorbis widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xv xvid xvmc zlib" ABI_X86="64 32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

c2RAID6 ~ #
Comment 7 Nick Bowler 2018-01-19 22:37:29 UTC
(In reply to Mark Knecht from comment #6)
> Problems updating a (mostly) stable machine. Let me know what other info (if
> any) is required. I do not see libqpdf or libjpeg in portage at this time. I
> do see libjpeg-turbo
[...]
> configure: error: Package requirements (libqpdf >= 3.0.2) were not met:
>
> Package 'libjpeg', required by 'libqpdf', not found

This problem is in the app-text/qpdf-7.0.0 package, which installs a
nonfunctional .pc file on machines using media-libs/jpeg (regression
from previous stable version).
Comment 8 Mark Knecht 2018-01-19 23:37:20 UTC
Is this the but you're talking about?

https://bugs.gentoo.org/626446

Doesn't this error technically mean that cups-filters-1.17.9 cannot be marked stable at this time? As a stable user I seem to be caught in a situation where I'm forced to mask a package that's stable.

I'll do that for now so that I can move forward but would like to ensure it's the right way to admin this probably for the short term.

Thanks
Comment 9 Nick Bowler 2018-01-20 00:51:08 UTC
(In reply to Mark Knecht from comment #8)
> Is this the but you're talking about?
> 
> https://bugs.gentoo.org/626446

Well that bug covers the stabilisation of the broken qpdf, anyway.

> Doesn't this error technically mean that cups-filters-1.17.9 cannot be
> marked stable at this time? As a stable user I seem to be caught in a
> situation where I'm forced to mask a package that's stable.

Well there's no real problem with cups-filters...  all versions will
fail to build against qpdf-7.0.0 because of the broken .pc file.

It is easily solved; just delete the pointless libjpeg dependency from
libqpdf.pc which doesn't actually do anything useful for us.
Comment 10 Mark Knecht 2018-01-21 14:38:21 UTC
I'm sorry. Could you clarify further please?

I don't have a file libqpdf.pc on my machine. What action are you asking me to take? 

1) Delete or modify a specific file?

2) Make an input to some other bug report?

3) Mask a version of qpdf? There's a stable 5.1.1-r1 and equery says the only package on my system that depends on it is cups-filters.

4) Something else?

I'd just like my stable machine to build cleanly, nothing more.

Thanks
Comment 11 Mark Knecht 2018-01-21 15:34:07 UTC
As a short-term solution I masked the qpdf stable version and my machine builds. I'll add my name to the qpdf bug asking them to address this.

Thanks
Comment 12 Thomas Deutschmann gentoo-dev Security 2018-01-21 20:32:03 UTC
x86 stable
Comment 13 Sergei Trofimovich gentoo-dev 2018-01-22 21:29:04 UTC
sparc stable (thanks to Rolf Eike Beer)
Comment 14 ernsteiswuerfel 2018-01-23 16:25:22 UTC
Looking good on ppc.

# cat cups-filters-641340.report 
USE tests started on Di 23. Jan 12:18:18 CET 2018

USE='-dbus -foomatic -ipp_autosetup jpeg -ldap pclm pdf perl png -postscript static-libs -tiff -zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='dbus -foomatic -ipp_autosetup jpeg -ldap -pclm pdf -perl png postscript static-libs -tiff -zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='dbus -foomatic -ipp_autosetup -jpeg ldap pclm -pdf perl -png -postscript -static-libs tiff -zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='dbus foomatic -ipp_autosetup -jpeg -ldap -pclm -pdf -perl png postscript -static-libs tiff -zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='-dbus foomatic ipp_autosetup -jpeg -ldap pclm -pdf -perl -png postscript static-libs tiff -zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='dbus foomatic -ipp_autosetup jpeg -ldap -pclm pdf perl png postscript static-libs tiff -zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='-dbus -foomatic ipp_autosetup jpeg -ldap -pclm pdf -perl -png postscript -static-libs -tiff zeroconf' : USE dependencies not satisfied (probably) for =net-print/cups-filters-1.17.9
USE='dbus -foomatic ipp_autosetup -jpeg ldap -pclm pdf perl -png postscript -static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='-dbus foomatic ipp_autosetup jpeg -ldap -pclm pdf -perl png -postscript static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='-dbus foomatic -ipp_autosetup -jpeg -ldap -pclm -pdf perl png postscript static-libs -tiff zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='dbus foomatic -ipp_autosetup -jpeg ldap -pclm pdf perl png -postscript static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.17.9
USE='-dbus -foomatic -ipp_autosetup -jpeg ldap pclm pdf perl -png postscript static-libs tiff zeroconf'  succeeded for =net-print/cups-filters-1.17.9
 FEATURES= test succeeded for =net-print/cups-filters-1.17.9

revdep tests started on Di 23. Jan 15:41:14 CET 2018

USE='foomaticdb' FEATURES=' test' : blocked packages (probably) for net-print/lprng
FEATURES= test USE='' succeeded for net-print/foomatic-db-engine
FEATURES= test USE='hpijs' succeeded for net-print/hplip
Comment 15 Robert R. Richter 2018-01-24 10:06:00 UTC
(In reply to Thomas Deutschmann from comment #12)
> x86 stable

That was a bad idea - I had a blocker upgrading my profile from 13.0 to 17.0 on x86 :( recompiling all packages last night (unfortunately on a production server)

Need to mask qpdf with >app-text/qpdf-5.1.1-r1 to get net-print/cups-filters-1.17.9 installed!
Comment 16 Andreas Sturmlechner gentoo-dev 2018-02-01 22:43:40 UTC
Please switch to libjpeg-turbo if you encounter that problem.
Comment 17 Sergei Trofimovich gentoo-dev 2018-02-05 23:22:43 UTC
ia64 stable
Comment 18 Sergei Trofimovich gentoo-dev 2018-02-06 22:57:37 UTC
commit 48f3a63823e89fa2571dccdd4e42384d32d194ad
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Tue Feb 6 18:21:47 2018 +0100

    net-print/cups-filters: stable 1.17.9 for hppa, bug #641340
Comment 19 Sergei Trofimovich gentoo-dev 2018-02-25 21:54:09 UTC
ppc stable (thanks to ernsteiswuerfel)
Comment 20 Tobias Klausmann gentoo-dev 2018-03-03 12:14:52 UTC
Stable on alpha.
Comment 21 Matt Turner gentoo-dev 2018-03-12 05:27:27 UTC
ppc64 stable
Comment 22 Markus Meier gentoo-dev 2018-03-13 18:01:12 UTC
arm stable
Comment 23 Andreas Sturmlechner gentoo-dev 2018-03-18 15:17:46 UTC
Maintainers, please drop 1.16.4 as it will be broken by the upcoming poppler security cleanup.
Comment 24 Andreas Sturmlechner gentoo-dev 2018-03-18 15:45:41 UTC
All arches done, arm64 irrelevant, closing.